VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly Class Reference

`Ipv6.IPv6AddressReadOnly` class Structure that you can use to get information about an IPv6 address along with its origin and status. More...

List of all members.

## Public Member Functions
| IPv6AddressReadOnly ()
| Creates a default new instance.
string | GetAddress ()
| IPv6 address, for example, fc00:10:20:83:20c:29ff:fe94:bb5a.
void | SetAddress (string address)
| IPv6 address, for example, fc00:10:20:83:20c:29ff:fe94:bb5a.
long | GetPrefix ()
| IPv6 CIDR prefix, for example, 64.
void | SetPrefix (long prefix)
| IPv6 CIDR prefix, for example, 64.
vmware.appliance.techpreview.networking.Ipv6Types.IPv6AddressOrigin | GetOrigin ()
| Origin of the IPv6 address.
void | SetOrigin (vmware.appliance.techpreview.networking.Ipv6Types.IPv6AddressOrigin origin)
| Origin of the IPv6 address.
vmware.appliance.techpreview.networking.Ipv6Types.IPv6AddressStatus | GetStatus ()
| Status of the IPv6 address.
void | SetStatus (vmware.appliance.techpreview.networking.Ipv6Types.IPv6AddressStatus status)
| Status of the IPv6 address.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Ipv6.IPv6AddressReadOnly` class Structure that you can use to get information about an IPv6 address along with its origin and status.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::IPv6AddressReadOnly | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::GetAddress | ( |  | ) | `[inline]`

IPv6 address, for example, fc00:10:20:83:20c:29ff:fe94:bb5a.

override int vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::GetHashCode | ( |  | ) | `[inline]`

vmware.appliance.techpreview.networking.Ipv6Types.IPv6AddressOrigin vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::GetOrigin | ( |  | ) | `[inline]`

Origin of the IPv6 address.

For more information, see RFC 4293.

long vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::GetPrefix | ( |  | ) | `[inline]`

IPv6 CIDR prefix, for example, 64.

vmware.appliance.techpreview.networking.Ipv6Types.IPv6AddressStatus vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::GetStatus | ( |  | ) | `[inline]`

Status of the IPv6 address.

For more information, see RFC 4293.

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::SetAddress | ( | string | address | ) | `[inline]`

IPv6 address, for example, fc00:10:20:83:20c:29ff:fe94:bb5a.

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::SetOrigin | ( | vmware.appliance.techpreview.networking.Ipv6Types.IPv6AddressOrigin | origin | ) | `[inline]`

Origin of the IPv6 address.

For more information, see RFC 4293.

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::SetPrefix | ( | long | prefix | ) | `[inline]`

IPv6 CIDR prefix, for example, 64.

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::SetStatus | ( | vmware.appliance.techpreview.networking.Ipv6Types.IPv6AddressStatus | status | ) | `[inline]`

Status of the IPv6 address.

For more information, see RFC 4293.

override string vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressReadOnly::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- Ipv6Types.cs